Skip to main content

public/get-expired-settlement-price

GET 

/public/get-expired-settlement-price

Fetches settlement prices of expired instruments.

Request

Query Parameters

    instrument_type stringrequired

    FUTURE

    page int32

    Default value: 1

    Page number. Default 1.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. data[] has i (instrument), x (expiry ms), v (value), t (timestamp).
    data object[]
  • Array [
  • i string

    Instrument name

    x int64

    Expiry timestamp (ms).

    v decimal

    Value

    t int64

    Timestamp (ms).

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.